Bug 11727 - Backport new file create optimization
Backport new file create optimization
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 14:38 UTC by José A. Rivera
Modified: 2016-02-17 08:32 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-2-test (1.17 KB, patch)
2016-02-09 14:38 UTC, José A. Rivera
jarrpa: review+
Details
Patch for v4-3-test (1.17 KB, patch)
2016-02-09 14:39 UTC, José A. Rivera
jarrpa: review+
Details
Patch for v4-4-test (1.17 KB, patch)
2016-02-09 14:39 UTC, José A. Rivera
jarrpa: review+
jra: review-
Details
Patch for v4-2-test (1.30 KB, patch)
2016-02-11 18:52 UTC, José A. Rivera
no flags Details
Patch for v4-2-test (1.29 KB, patch)
2016-02-11 18:54 UTC, José A. Rivera
jra: review+
Details
Patch for v4-3-test (1.29 KB, patch)
2016-02-11 18:55 UTC, José A. Rivera
jra: review+
Details
Patch for v4-4-test (1.29 KB, patch)
2016-02-11 18:56 UTC, José A. Rivera
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José A. Rivera 2016-02-09 14:38:01 UTC
I'd like to have the recent enhancement to new file creates backported to 4.2, 4.3, and 4.4. Patches incoming.
Comment 1 José A. Rivera 2016-02-09 14:38:45 UTC
Created attachment 11818 [details]
Patch for v4-2-test
Comment 2 José A. Rivera 2016-02-09 14:39:16 UTC
Created attachment 11819 [details]
Patch for v4-3-test
Comment 3 José A. Rivera 2016-02-09 14:39:41 UTC
Created attachment 11820 [details]
Patch for v4-4-test
Comment 4 Jeremy Allison 2016-02-11 18:30:42 UTC
Comment on attachment 11820 [details]
Patch for v4-4-test

Jose, sorry to be picky but can you add the line:

BUG: https://bugzilla.samba.org/attachment.cgi?id=11820

to all of these patches and repost the attcahments. That way the bug can be tracked in the git log if anyone is looking for it.

Also, these patches are normally moved by doing:

git fetch <from master>

followed by:

git cherry-pick <refspec>

which then leaves a reference to the master commit refspec in the commit comment so it can be traced into master.

These things don't specifically matter for this bug as it's a pretty trivial fix, but I'm trying to show you how to do things "the right way (tm)" :-) for more important changes you do in the future.

Cheers,

Jeremy.
Comment 5 José A. Rivera 2016-02-11 18:42:03 UTC
(In reply to Jeremy Allison from comment #4)
Not a problem at all. :) However, I did do the fetch followed by cherry-pick and still no refspec made it into the commit message. Am I missing a git config options? I ran "git cherry-pick -x <spec>" and that seemed to do the trick. Will be posting the revised patches shortly, no worries.
Comment 6 José A. Rivera 2016-02-11 18:52:15 UTC
Created attachment 11831 [details]
Patch for v4-2-test

Making sure we can properly track this. :)
Comment 7 José A. Rivera 2016-02-11 18:54:09 UTC
Created attachment 11832 [details]
Patch for v4-2-test

Making sure we can properly track this. :)
Comment 8 José A. Rivera 2016-02-11 18:55:49 UTC
Created attachment 11833 [details]
Patch for v4-3-test

Making sure we can track this properly. :)
Comment 9 José A. Rivera 2016-02-11 18:56:19 UTC
Created attachment 11834 [details]
Patch for v4-4-test

Making sure we can track this properly. :)
Comment 10 Michael Adam 2016-02-11 19:23:15 UTC
(In reply to Jeremy Allison from comment #4)
> Comment on attachment 11820 [details]
> Patch for v4-4-test
> 
> Jose, sorry to be picky but can you add the line:
> 
> BUG: https://bugzilla.samba.org/attachment.cgi?id=11820

BUG: https://bugzilla.samba.org/show_bug.cgi?id=11727

please :-)

> to all of these patches and repost the attcahments. That way the bug can be
> tracked in the git log if anyone is looking for it.
> 
> Also, these patches are normally moved by doing:
> 
> git fetch <from master>
> 
> followed by:
> 
> git cherry-pick <refspec>
> 
> which then leaves a reference to the master commit refspec in the commit
> comment so it can be traced into master.

The reference (cherry-picked from ...) is only added if you use
'git cherry-pick -x <refspec>'.

I have an alias cpx for that in my .gitconfig ... ;-)

> These things don't specifically matter for this bug as it's a pretty trivial
> fix, but I'm trying to show you how to do things "the right way (tm)" :-)
> for more important changes you do in the future.

Correct, this is our workflow, and it is important
for later tracking! So ACK on the NACK. ;-)

Cheers - Michael
Comment 11 Jeremy Allison 2016-02-11 22:11:27 UTC
Thanks Jose ! Re-assigning to Karolin for integration into 4.4.0, 4.3.next, 4.2.next.
Comment 12 Karolin Seeger 2016-02-15 09:30:27 UTC
(In reply to Jeremy Allison from comment #11)
Pushed to autobuild-v4-[4|3|2]-test.
Comment 13 Karolin Seeger 2016-02-17 08:32:29 UTC
(In reply to Karolin Seeger from comment #12)
Pushed to all branches.
Closing out bug report.

Thanks!